Upstream information

CVE-2015-7576 at MITRE

Description

The http_basic_authenticate_with method in actionpack/lib/action_controller/metal/http_authentication.rb in the Basic Authentication implementation in Action Controller in Ruby on Rails before 3.2.22.1, 4.0.x and 4.1.x before 4.1.14.1, 4.2.x before 4.2.5.1, and 5.x before 5.0.0.beta1.1 does not use a constant-time algorithm for verifying credentials, which makes it easier for remote attackers to bypass authentication by measuring timing differences.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.3 4.3
Vector AV:N/AC:M/Au:N/C:P/I:N/A:N AV:N/AC:M/Au:N/C:P/I:N/A:N
Access Vector Network Network
Access Complexity Medium Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact None None
Availability Impact None None
SUSE Bugzilla entries: 963329 [RESOLVED / FIXED], 970715 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 2.1
  • ruby2.1-rubygem-actionpack-4_2 >= 4.2.2-6.1
  • ruby2.1-rubygem-activesupport-4_2 >= 4.2.2-6.1
  • rubygem-actionpack-4_2 >= 4.2.2-6.1
  • rubygem-activesupport-4_2 >= 4.2.2-6.1
Patchnames:
SUSE-Storage-2.1-2016-250
SUSE-Storage-2.1-2016-262
SUSE Lifecycle Management Server 1.3
  • rubygem-actionpack-3_2 >= 3.2.12-0.23.1
  • rubygem-activesupport-3_2 >= 3.2.12-0.21.1
Patchnames:
sleslms13-rubygem-actionpack-3_2-12431
sleslms13-rubygem-activesupport-3_2-12432
sleslms13-rubygem-activesupport-3_2-12498
SUSE Linux Enterprise Module for Containers 12
  • portus >= 2.0.3-2.4
Patchnames:
SUSE-SLE-Module-Containers-12-2016-672
SUSE Linux Enterprise Software Development Kit 11 SP3
  • rubygem-activesupport-3_2 >= 3.2.12-0.18.1
Patchnames:
sdksp3-rubygem-activesupport-3_2-12432
SUSE Linux Enterprise Software Development Kit 11 SP4
  • rubygem-actionpack-3_2 >= 3.2.12-0.23.1
  • rubygem-activesupport-3_2 >= 3.2.12-0.21.1
Patchnames:
sdksp4-rubygem-actionpack-3_2-12431
sdksp4-rubygem-activesupport-3_2-12432
sdksp4-rubygem-activesupport-3_2-12498
SUSE OpenStack Cloud 5
  • ruby2.1-rubygem-actionpack-4_1 >= 4.1.9-9.1
  • ruby2.1-rubygem-activesupport-4_1 >= 4.1.9-15.1
  • rubygem-actionpack-4_1 >= 4.1.9-9.1
  • rubygem-activesupport-4_1 >= 4.1.9-15.1
Patchnames:
sleclo50sp3-rubygem-actionpack-4_1-12468
sleclo50sp3-rubygem-activesupport-4_1-12424
sleclo50sp3-rubygem-activesupport-4_1-12469
SUSE OpenStack Cloud 6
  • ruby2.1-rubygem-actionpack-4_2 >= 4.2.2-6.1
  • ruby2.1-rubygem-activesupport-4_2 >= 4.2.2-6.1
Patchnames:
SUSE OpenStack Cloud 6 GA ruby2.1-rubygem-actionpack-4_2
SUSE OpenStack Cloud 6 GA ruby2.1-rubygem-activesupport-4_2
SUSE Studio Onsite 1.3
  • libcontainment-insomnia >= 0.1.1-0.9.4.19
  • libjansson >= 2.2.1-0.9.11.6
  • libjansson4 >= 2.2.1-0.9.11.6
  • qemu-ext2 >= 0.1.1-0.9.4.19
  • rubygem-actionpack-3_2 >= 3.2.12-0.23.1
  • rubygem-activesupport-3_2 >= 3.2.12-0.21.1
  • rubygem-bundler19 >= 1.7.0-0.13.10
  • studio-help >= 1.3.20-0.6.9
  • susestudio >= 1.3.14-52.1
  • susestudio-bundled-packages >= 1.3.14-52.1
  • susestudio-common >= 1.3.14-52.1
  • susestudio-runner >= 1.3.14-52.1
  • susestudio-sid >= 1.3.14-52.1
  • susestudio-ui-server >= 1.3.14-52.1
Patchnames:
slestso13-rubygem-actionpack-3_2-12431
slestso13-rubygem-activesupport-3_2-12432
slestso13-rubygem-activesupport-3_2-12498
slestso13-susestudio-12990
SUSE Studio Onsite Runner 1.3
  • libcontainment-insomnia >= 0.1.1-0.9.4.19
  • libjansson >= 2.2.1-0.9.11.6
  • libjansson4 >= 2.2.1-0.9.11.6
  • qemu-ext2 >= 0.1.1-0.9.4.19
  • rubygem-bundler19 >= 1.7.0-0.13.10
  • studio-help >= 1.3.20-0.6.9
  • susestudio >= 1.3.14-52.1
  • susestudio-bundled-packages >= 1.3.14-52.1
  • susestudio-common >= 1.3.14-52.1
  • susestudio-runner >= 1.3.14-52.1
  • susestudio-ui-server >= 1.3.14-52.1
Patchnames:
slestso13-susestudio-12990
SUSE WebYast 1.3
  • rubygem-actionpack-3_2 >= 3.2.12-0.23.1
  • rubygem-activesupport-3_2 >= 3.2.12-0.21.1
Patchnames:
slewyst13-rubygem-actionpack-3_2-12431
slewyst13-rubygem-activesupport-3_2-12432
slewyst13-rubygem-activesupport-3_2-12498
openSUSE Leap 42.1
  • ruby2.1-rubygem-actionpack-4_2 >= 4.2.4-6.1
  • ruby2.1-rubygem-actionpack-doc-4_2 >= 4.2.4-6.1
  • ruby2.1-rubygem-actionview-4_2 >= 4.2.4-6.1
  • ruby2.1-rubygem-actionview-doc-4_2 >= 4.2.4-6.1
  • ruby2.1-rubygem-activemodel-4_2 >= 4.2.4-6.1
  • ruby2.1-rubygem-activemodel-doc-4_2 >= 4.2.4-6.1
  • ruby2.1-rubygem-activerecord-4_2 >= 4.2.4-6.1
  • ruby2.1-rubygem-activerecord-doc-4_2 >= 4.2.4-6.1
  • ruby2.1-rubygem-activesupport-4_2 >= 4.2.4-6.1
  • ruby2.1-rubygem-activesupport-doc-4_2 >= 4.2.4-6.1
  • rubygem-actionpack-4_2 >= 4.2.4-6.1
  • rubygem-actionview-4_2 >= 4.2.4-6.1
  • rubygem-activemodel-4_2 >= 4.2.4-6.1
  • rubygem-activerecord-4_2 >= 4.2.4-6.1
  • rubygem-activesupport-4_2 >= 4.2.4-6.1
Patchnames:
openSUSE-2016-159


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Cloud 5 rubygem-actionpack-4_1 Released
SUSE Cloud 5 rubygem-activesupport-4_1 Released
SUSE Lifecycle Management Server 1.3 rubygem-actionpack-3_2 Released
SUSE Lifecycle Management Server 1.3 rubygem-activesupport-3_2 Released
SUSE Linux Enterprise SDK 11 SP2 rubygem-activesupport-3_2 Released
SUSE Linux Enterprise SDK 11 SP3 rubygem-activesupport-3_2 Released
SUSE Linux Enterprise SDK 11 SP4 rubygem-actionpack-3_2 Released
SUSE Linux Enterprise SDK 11 SP4 rubygem-activesupport-3_2 Released
SUSE Studio Onsite 1.3 rubygem-actionpack-3_2 Released
SUSE Studio Onsite 1.3 rubygem-activesupport-3_2 Released
WebYaST 1.3 rubygem-actionpack-3_2 Released
WebYaST 1.3 rubygem-activesupport-3_2 Released